package Email::MIME::MobileJP::Creator::UseEncWords;
{
  $Email::MIME::MobileJP::Creator::UseEncWords::VERSION = '0.132480';
}
# ABSTRACT: Email::MIME::MobileJP::Creator::from($k,$v)でencode_mimewordsを使う。

use strict;
use base qw(Email::MIME::MobileJP::Creator);

use MIME::EncWords;

sub header {
    my ($self, $k, $v) = @_;

    if (defined $v) {
        my $enc = $self->carrier->mime_encoding->subject_encoding or die "encoding is not found.";
        $v = $enc->encode($v);
        $v = MIME::EncWords::encode_mimewords($v, Charset => $enc->mime_name, Encoding => 'b');
        $self->mail->header_set($k, $v);
    } else {
        $self->carrier->mime_encoding->decode($self->mail->header_obj->header_raw($k));
    }
}

1;

__END__

=pod

=head1 NAME

Email::MIME::MobileJP::Creator::UseEncWords - Email::MIME::MobileJP::Creator::from($k,$v)でencode_mimewordsを使う。

=head1 VERSION

version 0.132480

=head1 AUTHOR

Tomohiro Hosaka <bokutin@bokut.in>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2013 by Tomohiro Hosaka.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
